## python-lupa 2.2+dfsg

=== requirements.txt ===
Cython>=3.0.9
setuptools

## python-lupa 1.6+dfsg

=== debian/changelog ===
python-lupa (1.6+dfsg-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

  [ Michael Fladischer ]
  * Rely on liblua in case libluajit is not available, thanks to
    Frédéric Bonnard for the patch (Closes: #892906).
  * Clean up lupa/_lupa.so to allow two builds in a row.
  * Bump Standards-Version to 4.1.5.

 -- Michael Fladischer <fladi@debian.org>  Thu, 26 Jul 2018 23:03:44 +0200

python-lupa (1.6+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Ondřej Kobližek ]
  * d/control: Python2 package enable
  * d/rules: Python2 package enable

 -- Ondřej Kobližek <koblizeko@gmail.com>  Thu, 05 Apr 2018 07:57:23 +0200

python-lupa (1.6+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Add debian/gbp.conf.
  * Bump debhelper compatibility and version to 11.
  * Bump Standards-Version to 4.1.3.
  * Run wrap-and-sort -bast to reduce diff size of future changes.
  * Clean up lupa.egg-info/PKG-INFO to allow two builds in a row.
  * Add patch to fix reading UTF-8 files in setup.py for Python3.
  * Enable autopkgtest-pkg-python testsuite.

 -- Michael Fladischer <fladi@debian.org>  Mon, 08 Jan 2018 22:00:01 +0100

python-lupa (1.5+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #878973).

 -- Michael Fladischer <fladi@debian.org>  Wed, 18 Oct 2017 08:44:42 +0200

=== debian/control ===
Source: python-lupa
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 cython,
 cython3,
 debhelper (>= 11),
 dh-python,
 libluajit-5.1-dev [!s390x !alpha !hppa !ia64 !m68k !powerpcspe !sh4 !sparc64] | liblua5.1-0-dev,
 pkg-config,
 python-all,
 python-all-dev,
 python-setuptools,
 python3-all,
 python3-all-dev,
 python3-setuptools,
Standards-Version: 4.1.5
Homepage: https://github.com/scoder/lupa/
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-lupa
Vcs-Git: https://salsa.debian.org/python-team/modules/python-lupa.git
Testsuite: autopkgtest-pkg-python

Package: python-lupa
Architecture: any
Depends:
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Description: Python wrapper around LuaJIT (Python2 version)
 Lupa integrates the runtimes of Lua or LuaJIT2 into CPython. It is a partial
 rewrite of LunaticPython in Cython with some additional features such as proper
 coroutine support.
 .
 Features:
  * separate Lua runtime states through a LuaRuntime class
  * Python coroutine wrapper for Lua coroutines
  * iteration support for Python objects in Lua and Lua objects in Python
  * proper encoding and decoding of strings (configurable per runtime, UTF-8 by
    default)
  * frees the GIL and supports threading in separate runtimes when calling into
    Lua
  * written for LuaJIT2, but also works with the normal Lua interpreter
  * easy to hack on and extend as it is written in Cython, not C
 .
 This package contains the Python 2 version of the library.

Package: python3-lupa
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Python wrapper around LuaJIT or Lua (Python3 version)
 Lupa integrates the runtimes of Lua or LuaJIT2 into CPython. It is a partial
 rewrite of LunaticPython in Cython with some additional features such as proper
 coroutine support.
 .
 Features:
  * separate Lua runtime states through a LuaRuntime class
  * Python coroutine wrapper for Lua coroutines
  * iteration support for Python objects in Lua and Lua objects in Python
  * proper encoding and decoding of strings (configurable per runtime, UTF-8 by
    default)
  * frees the GIL and supports threading in separate runtimes when calling into
    Lua
  * written for LuaJIT2, but also works with the normal Lua interpreter
  * easy to hack on and extend as it is written in Cython, not C
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

export PYBUILD_NAME=lupa
export PYBUILD_BEFORE_BUILD=rm -f lupa/_lupa.c

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

## python-lupa 1.9%2Bdfsg

=== debian/changelog ===
python-lupa (1.9+dfsg-1) unstable; urgency=low

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Michael Fladischer ]
  * New upstream release.
  * Acknowledge d/watch fix by Diego M. Rodriguez <diego@moreda.io> but
    restore repack suffix.
  * Drop Python3 support patche, integrated upstream.
  * Bump Standards-Version to 4.5.0.
  * Set Rules-Requires-Root: no.

 -- Michael Fladischer <fladi@debian.org>  Wed, 05 Feb 2020 13:57:29 +0100

python-lupa (1.6+dfsg-4) unstable; urgency=low

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Michael Fladischer ]
  * Bump debhelper version to 12.
  * Bump Standards-Version to 4.4.0.
  * Remove Python2 support.

 -- Michael Fladischer <fladi@debian.org>  Fri, 26 Jul 2019 11:25:43 +0200

## python-lupa 1.9+dfsg

=== debian/changelog ===
python-lupa (1.9+dfsg-1build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:23:24 +0100

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,repacksuffix=+dfsg,dversionmangle=s/\+dfsg$// \
https://pypi.debian.net/lupa/lupa-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-lupa 1.10+dfsg

=== debian/changelog ===
python-lupa (1.10+dfsg-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 23:10:15 +0000

python-lupa (1.10+dfsg-1) unstable; urgency=low

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository, Repository-Browse.

  [ Michael Fladischer ]
  * New upstream release.
  * Bump debhelper version to 13.
  * Bump Standards-Version to 4.6.0.1.
  * Use uscan version 4.
  * Enable upstream testsuite for autopkgtests.

 -- Michael Fladischer <fladi@debian.org>  Tue, 19 Oct 2021 21:09:54 +0000

=== debian/control ===
Source: python-lupa
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 cython3,
 debhelper-compat (= 13),
 dh-python,
 libluajit-5.1-dev [!s390x !alpha !hppa !ia64 !m68k !powerpcspe !sh4 !sparc64] | liblua5.1-0-dev,
 pkg-config,
 python3-all,
 python3-all-dev,
 python3-setuptools,
Standards-Version: 4.6.0.1
Homepage: https://github.com/scoder/lupa/
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-lupa
Vcs-Git: https://salsa.debian.org/python-team/packages/python-lupa.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-lupa
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Python wrapper around LuaJIT or Lua (Python3 version)
 Lupa integrates the runtimes of Lua or LuaJIT2 into CPython. It is a partial
 rewrite of LunaticPython in Cython with some additional features such as proper
 coroutine support.
 .
 Features:
  * separate Lua runtime states through a LuaRuntime class
  * Python coroutine wrapper for Lua coroutines
  * iteration support for Python objects in Lua and Lua objects in Python
  * proper encoding and decoding of strings (configurable per runtime, UTF-8 by
    default)
  * frees the GIL and supports threading in separate runtimes when calling into
    Lua
  * written for LuaJIT2, but also works with the normal Lua interpreter
  * easy to hack on and extend as it is written in Cython, not C
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
--- 
+++ 
@@ -11,4 +11,4 @@
 export PYBUILD_BEFORE_BUILD=rm -f lupa/_lupa.c
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,repacksuffix=+dfsg,dversionmangle=s/\+dfsg$// \
https://pypi.debian.net/lupa/lupa-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-lupa 1.13+dfsg

=== debian/changelog ===
python-lupa (1.13+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Depend on python3-all for autopkgtests.
  * Update year in d/copyright.

 -- Michael Fladischer <fladi@debian.org>  Wed, 09 Mar 2022 21:55:15 +0000

## python-lupa 1.14.1+dfsg

=== debian/changelog ===
python-lupa (1.14.1+dfsg-1deepin1) unstable; urgency=medium

  * No source change upload against python 3.12.

 -- Tianyu Chen <sweetyfish@deepin.org>  Mon, 08 Jul 2024 09:55:23 +0200

python-lupa (1.14.1+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 4.6.1.0.

 -- Michael Fladischer <fladi@debian.org>  Sat, 19 Nov 2022 21:51:24 +0000

## python-lupa 2.2+dfsg

=== debian/changelog ===
python-lupa (2.2+dfsg-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 2.2+dfsg
  * Switch to pybuild-plugin-pyproject
  * Replace obsolete pkg-config with pkgconf
  * Enable most tests at build-time

 -- Alexandre Detiste <tchet@debian.org>  Sat, 23 Nov 2024 15:08:35 +0100

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,15 @@
 Build-Depends:
  cython3,
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  libluajit-5.1-dev [!s390x !alpha !hppa !ia64 !m68k !powerpcspe !sh4 !sparc64] | liblua5.1-0-dev,
- pkg-config,
+ pkgconf,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-all-dev,
+ python3-pytest <!nocheck>,
  python3-setuptools,
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1.0
 Homepage: https://github.com/scoder/lupa/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-lupa
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-lupa.git

## python-lupa 2.4%2Bdfsg

=== Makefile ===
PYTHON?=python3
USE_BUNDLE?=true
VERSION?=$(shell sed -ne "s|^VERSION\s*=\s*'\([^']*\)'.*|\1|p" setup.py)
WITH_CYTHON?=$(shell $(PYTHON)  -c 'import Cython.Build.Dependencies' >/dev/null 2>/dev/null && echo " --with-cython" || true)
WITH_PARALLEL?=$(shell $(PYTHON)  -c 'import sys ; print("-j6" if sys.version_info[0] >= 3 else "")' || true)
WITH_LUA_DLOPEN?=true
PYTHON_BUILD_VERSION?=*

MANYLINUX_IMAGES= \
	manylinux1_x86_64 \
	manylinux1_i686 \
	manylinux_2_24_i686 \
	manylinux_2_28_x86_64 \
	manylinux2014_aarch64 \
	manylinux_2_24_aarch64 \
	manylinux_2_28_aarch64 \
	manylinux_2_24_ppc64le \
	manylinux_2_24_s390x \
	musllinux_1_1_x86_64 \
	musllinux_1_1_aarch64

.PHONY: all local sdist test clean realclean

all:  local

local:
	LUPA_WITH_LUA_DLOPEN=$(WITH_LUA_DLOPEN) ${PYTHON} setup.py build_ext --inplace $(WITH_PARALLEL) $(WITH_CYTHON)

sdist dist/lupa-$(VERSION).tar.gz:
	${PYTHON} setup.py sdist

test: local
	PYTHONPATH=. $(PYTHON) -m unittest -v lupa.tests.suite

clean:
	rm -fr build lupa/_lupa*.so lupa/lua*.pyx lupa/*.c
	@for dir in third-party/*/; do $(MAKE) -C $${dir} clean; done

realclean: clean
	rm -fr lupa/_lupa.c

wheel:
	LUPA_WITH_LUA_DLOPEN=$(WITH_LUA_DLOPEN) $(PYTHON) setup.py build_ext $(WITH_PARALLEL) bdist_wheel $(WITH_CYTHON)

qemu-user-static:
	docker run --rm --privileged multiarch/qemu-user-static --reset -p yes

wheel_manylinux: $(addprefix wheel_,$(MANYLINUX_IMAGES))
$(addprefix wheel_,$(filter-out %_x86_64, $(filter-out %_i686, $(MANYLINUX_IMAGES)))): qemu-user-static

wheel_%: dist/lupa-$(VERSION).tar.gz
	@echo "Building $(subst wheel_,,$@) wheels for Lupa $(VERSION)"
	mkdir -p wheelhouse_$(subst wheel_,,$@)
	time docker run --rm -t \
		-v $(shell pwd):/io \
		-e CFLAGS="-O3 -g0 -mtune=generic -pipe -fPIC -flto" \
		-e LDFLAGS="$(LDFLAGS) -fPIC -flto" \
		-e LD=gcc-ld \
		-e AR=gcc-ar \
		-e NM=gcc-nm \
		-e RANLIB=gcc-ranlib \
		-e LUPA_USE_BUNDLE=$(USE_BUNDLE) \
		-e LUPA_WITH_LUA_DLOPEN=$(WITH_LUA_DLOPEN) \
		-e WHEELHOUSE=wheelhouse_$(subst wheel_,,$@) \
		quay.io/pypa/$(subst wheel_,,$@) \
		bash -c 'echo "Python versions: $$(ls /opt/python/ | xargs -n 100 echo)" ; \
			for PYBIN in /opt/python/$(PYTHON_BUILD_VERSION)/bin; do \
				$$PYBIN/python -V; \
				{ time $$PYBIN/pip wheel -v -w /io/$$WHEELHOUSE /io/$< & } ; \
			done; wait; \
			for whl in /io/$$WHEELHOUSE/lupa-$(VERSION)-*-linux_*.whl; do auditwheel repair $$whl -w /io/$$WHEELHOUSE; done; \
			for whl in /io/$$WHEELHOUSE/lupa-$(VERSION)-*-m*linux*.whl; do \
				pyver=$${whl#*/lupa-$(VERSION)-}; pyver=$${pyver%%-m*}; \
				echo "Installing in $${pyver}: $${whl}"; \
				/opt/python/$${pyver}/bin/python -m pip install -U $${whl} && /opt/python/$${pyver}/bin/python -c "import lupa" || exit 1; \
				/opt/python/$${pyver}/bin/python -m pip uninstall -y lupa; \
			done; true'

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,8 @@
 
 export PYBUILD_NAME=lupa
 export PYBUILD_BEFORE_BUILD=rm -f lupa/_lupa.c
+export PYBUILD_BEFORE_TEST=mkdir {build_dir}/lupa ; cp -r {dir}/lupa/tests {build_dir}/lupa
+export PYBUILD_TEST_ARGS=lupa/tests/test.py -k 'not test_attrgetter_refcycle and not test_no_overflow and not test_pyfunc_refcycle and not test_runtime_cleanup'
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild

## python-lupa 2.4+dfsg

=== debian/changelog ===
python-lupa (2.4+dfsg-1build2) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 14:45:25 +0000

python-lupa (2.4+dfsg-1build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 19:08:56 +0000

python-lupa (2.4+dfsg-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 2.4+dfsg
  * Reformat d/control with debputy
  * Trim autopkgtest deps

 -- Alexandre Detiste <tchet@debian.org>  Sat, 15 Feb 2025 13:03:39 +0100

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
- cython3,
  debhelper-compat (= 13),
  dh-sequence-python3,
+ cython3,
  libluajit-5.1-dev [!s390x !alpha !hppa !ia64 !m68k !powerpcspe !sh4 !sparc64] | liblua5.1-0-dev,
  pkgconf,
  pybuild-plugin-pyproject,
@@ -21,6 +21,7 @@
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-lupa.git
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
+X-Style: black
 
 Package: python3-lupa
 Architecture: any

=== debian/tests/control ===
Tests:
 upstream,
Depends:
 python3-all,
 python3-pytest,
 @,
Restrictions:
 allow-stderr,
